"""Create the test app and other fixtures."""
import os

import pytest

from incorporealcms import create_app

HERE = os.path.dirname(os.path.abspath(__file__))


@pytest.fixture
def app():
    app = create_app(instance_path=os.path.join(HERE, 'instance'))

    yield app


@pytest.fixture
def client(app):
    return app.test_client()
